NXOpen.UF.Disp.DisplayTemporaryArc

Disp.DisplayTemporaryArc()

Refer to UF_DISP_display_temporary_arc for documentation.

Signature: DisplayTemporaryArc(viewTag, whichViews, matrix, startAngle, endAngle, arcCenter, radius, attrib)

Parameters:
  • viewTag (Tag) – The tag of the view in which to display the temporary arc.
  • whichViews (NXOpen.UF.Disp.ViewType Refer to UF_DISP_view_type_e for documentation.) – The view mode to use.
  • matrix (list of float) – A matrix for the CSYS in which the arc exists. Use UF_MTX3_initialize to create a matrix from X and Y vectors.
  • startAngle (float) – Start angle in radians
  • endAngle (float) – End angle in radians.
  • arcCenter (list of float) – Coordinates are with respect to the CSYS of the matrix in the work part.
  • radius (float) – Radius from the arc center.
  • attrib (NXOpen.UF.Obj.DispProps Refer to UF_OBJ_disp_props_s for documentation.) – The color, font, and width elements of the structure should be set to: attrib->color = color index attrib->font = 1 for solid 2-7, user defined 0 use system default attrib->line_width = line width values in uf_obj.h -1 use the default width

License requirements: None